image: ruby:2.3

stages:
  - deploy


deploy_application:
  stage: deploy
  script:
    - which ssh-agent || ( apt-get update -y && apt-get install openssh-client -y )
    - eval $(ssh-agent -s)
    # add ssh key stored in SSH_PRIVATE_KEY variable to the agent store
    - ssh-add <(echo -e "$SSH_PRIVATE_KEY")
    # deploy
    - ( which cap && cap -v ) || gem install capistrano -v 3.10.0
    - cap production deploy
  only:
    - master
  environment:
    name: production
    url: https://vetoteka.pl


